Subscription
Keywords: org.gcube.informationsystem.notifier.util.Subscription class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.informationsystem.notifier.util
Class Subscription

    java.lang.Object
      org.gcube.informationsystem.notifier.util.SubscriptionObject<EPR,EPR>
          org.gcube.informationsystem.notifier.util.Subscription

All Implemented Interfaces:
  java.io.Serializable

    public class Subscription

extends SubscriptionObject<EPR,EPR>
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static org.gcube.common.core.utils.logging.GCUBELog` | `logger`

Constructor Summary
`Subscription(EPR consumer, EPR producer)`

Method Summary
`void` | `removeSubscription()`
`void` | `subscribe(javax.xml.namespace.QName topic)`

Methods inherited from class org.gcube.informationsystem.notifier.util.SubscriptionObject
`getConsumer, getNotificationResourceEnpoint, getProducer, isSubscribed, setConsumer, setNotificationResourceEnpoint, setProducer, setSubscribed`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    public static org.gcube.common.core.utils.logging.GCUBELog logger

Constructor Detail

### Subscription

    public Subscription(EPR consumer,
                        EPR producer)

Method Detail

### removeSubscription

    public void removeSubscription()
                            throws java.lang.Exception

  Specified by:
    `removeSubscription` in class `SubscriptionObject<EPR,EPR>`
  Throws:
    `java.lang.Exception`

### subscribe

    public void subscribe(javax.xml.namespace.QName topic)
                   throws java.lang.Exception

  Specified by:
    `subscribe` in class `SubscriptionObject<EPR,EPR>`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD